# $Revision: 1.11 $, $Date: 2008-05-24 01:04:43 $
%define		_rc  865.15
%define		_rel 2
Summary:	iSCSI - SCSI over IP
Summary(pl.UTF-8):	iSCSI - SCSI po IP
Name:		open-iscsi
Version:	2.0
Release:	0.%{_rc}.%{_rel}
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.open-iscsi.org/bits/%{name}-%{version}-%{_rc}.tar.gz
# Source0-md5:	2efff8c813ec84677a80c3e881942ffc
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		http://www.open-iscsi.org/
BuildRequires:	db-devel
BuildRequires:	rpmbuild(macros) >= 1.379
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Provides:	group(iscsi)
Provides:	user(iscsi)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
The Linux iSCSI driver acts as an iSCSI protocol initiator to
transport SCSI requests and responses over an IP network between the
client and an iSCSI-enabled target device such as a Cisco SN 5420
storage router. The iSCSI protocol is an IETF-defined protocol for IP
storage. For more information about the iSCSI protocol, refer to the
IETF standards for IP storage at <http://www.ietf.org/>.

%description -l pl.UTF-8
Sterownik Linux iSCSI zachowuje się jak inicjator protokołu iSCSI do
transportu zleceń SCSI i odpowiedzi po sieci IP między klientem a
urządzeniem docelowym obsługującym iSCSI, takim jak Cisco SN 5420.
Protokół iSCSI jest zdefiniowany przez IETF do składowania IP. Więcej
informacji o protokole iSCSI znajduje się w standardach IETF na
<http://www.ietf.org/>.

%prep
%setup -q -n %{name}-%{version}-%{_rc}

%build
for i in usr utils utils/fwparam_ibft; do
	%{__make} -C $i \
		CC="%{__cc}" \
		CFLAGS="%{rpmcflags} -I../include -DLinux -DNETLINK_ISCSI=12 -D_GNU_SOURCE"
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8,/etc/{iscsi/ifaces,iscsi/nodes,iscsi/send_targets,rc.d/init.d,sysconfig}}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/iscsi
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/iscsi

install etc/iscsid.conf $RPM_BUILD_ROOT%{_sysconfdir}/iscsi
:> $RPM_BUILD_ROOT%{_sysconfdir}/iscsi/initiatorname.iscsi

install usr/{iscsid,iscsiadm,iscsistart} utils/iscsi-iname $RPM_BUILD_ROOT%{_sbindir}
install utils/fwparam_ibft/fwparam_ibft $RPM_BUILD_ROOT%{_sbindir}

install doc/*.8 $RPM_BUILD_ROOT/%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 223 iscsi
%useradd -u 223 -d /tmp -s /bin/false -c "iSCSI Daemon" -g iscsi iscsi

%post
if ! grep -q "^InitiatorName=[^ \t\n]" %{_sysconfdir}/initiatorname.iscsi 2>/dev/null ; then
	echo "InitiatorName=$(iscsi-iname)" >> %{_sysconfdir}/initiatorname.iscsi
fi
/sbin/chkconfig --add iscsi

%preun
if [ "$1" = "0" ]; then
	%service iscsi stop
	/sbin/chkconfig --del iscsi
fi

%postun
if [ "$1" = "0" ]; then
	%userremove iscsi
	%groupremove iscsi
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog README THANKS
%dir %{_sysconfdir}/iscsi
%dir %{_sysconfdir}/iscsi/ifaces
%dir %{_sysconfdir}/iscsi/nodes
%dir %{_sysconfdir}/iscsi/send_targets
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/iscsi/iscsid.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/iscsi/initiatorname.iscsi
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/iscsi
%attr(754,root,root) /etc/rc.d/init.d/iscsi
%attr(755,root,root) %{_sbindir}/fwparam_ibft
%attr(755,root,root) %{_sbindir}/iscsi-iname
%attr(755,root,root) %{_sbindir}/iscsiadm
%attr(755,root,root) %{_sbindir}/iscsid
%attr(755,root,root) %{_sbindir}/iscsistart
%{_mandir}/man8/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: open-iscsi.spec,v $
Revision 1.11  2008-05-24 01:04:43  glen
- verbose binaries names

Revision 1.10  2008-03-03 16:10:42  kosmo
- fixed files section and initscript

Revision 1.9  2008-02-08 10:02:40  arekm
- up to 865.15; drop kernel module (it's already in upstream kernel)

Revision 1.8  2007-04-19 00:28:06  zbyniu
- up to 2.0-754; new style kernel module build macros
- removed up, smp bcond and smp package

Revision 1.7  2007/03/14 00:23:26  glen
- up bcond

Revision 1.6  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.4  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.3  2006/04/20 17:12:38  glen
- fix chkconfig deps, use %service

Revision 1.2  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.1  2005/08/09 19:51:07  arekm
- new
